Bug 148633 - [PATCH] www/kannel: Add support for MySQL, PostgreSQL, SQLite and fix MASTER_SITES
Summary: [PATCH] www/kannel: Add support for MySQL, PostgreSQL, SQLite and fix MASTER_...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-15 13:20 UTC by never
Modified: 2010-07-16 01:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.11 KB, patch)
2010-07-15 13:20 UTC, never
no flags Details | Diff
kannel.txt (1.56 KB, text/plain; charset=US-ASCII)
2010-07-15 13:59 UTC, never
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description never 2010-07-15 13:20:01 UTC
- Add support for MySQL, PostgreSQL and SQLite database backends via OPTIONS
- Fix MASTER_SITES

Fix: Apply patch attached.

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 never 2010-07-15 13:59:06 UTC
On Thu, Jul 15, 2010 at 3:17 PM, Alexandr Kovalenko
<never@nevermind.kiev.ua> wrote:
>
>>Number:         148633
>>Category:       ports
>>Synopsis:       [PATCH] www/kannel: Add support for MySQL, PostgreSQL, SQLite and fix MASTER_SITES
>>Confidential:   no
>>Severity:       non-critical
>>Priority:       medium
>>Responsible:    freebsd-ports-bugs
>>State:          open
>>Quarter:
>>Keywords:
>>Date-Required:
>>Class:          update
>>Submitter-Id:   current-users
>>Arrival-Date:   Thu Jul 15 12:20:01 UTC 2010
>>Closed-Date:
>>Last-Modified:
>>Originator:     Alexandr Kovalenko
>>Release:        8.0
>>Organization:
> Summa Telecom Ukraine, LLC, http://sumtel.ua/
>>Environment:
> FreeBSD mile.xxx.ua 8.0-RELEASE-p3 FreeBSD 8.0-RELEASE-p3 #1: Tue Jun  1 17:25:26 EEST 2010     root@mile.xxx.ua:/usr/obj/usr/src/sys/mile  i386
>
>>Description:
> - Add support for MySQL, PostgreSQL and SQLite database backends via OPTIONS
> - Fix MASTER_SITES
>>How-To-Repeat:
> N/A
>>Fix:
> Apply patch attached.


Please use fixed (attached) patch to be compliant with
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#AEN2501

> Patch attached with submission follows:
Comment 2 Timur I. Bakeyev freebsd_committer 2010-07-15 14:01:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-07-16 01:03:58 UTC
timur       2010-07-16 00:03:49 UTC

  FreeBSD ports repository

  Modified files:
    www/kannel           Makefile 
  Log:
  PR:             148633
  Add OPTIONS to the port and ability to link against mysql, pgsql and sqlite3.
  
  Revision  Changes    Path
  1.33      +31 -5     ports/www/kannel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Timur I. Bakeyev freebsd_committer 2010-07-16 01:04:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!